css bugs in modern skin with the latest echo spilt notifications.
Closed, ResolvedPublic

Description

Wikipedia:Village pump (technical)#WP:Notifications in Modern skin

All links are in lower case
Hover over is white type on a white background.

Both are seemingly addressed in mw.echo.ui.NotificationOptionWidget.modern.less and mw.echo.ui.NotificationBadgeWidget.modern.less but being overridden.

.mw-echo-ui-notificationOptionWidget {
	#p-personal & a,
	#p-personal & a.new {
		// In modern, the hover color is white, which is unhelpful.
		color: #666666;
		text-decoration: none;
	}

}
.mw-echo-ui-notificationBadgeButtonPopupWidget {
	font-variant: normal;
	text-transform: none;
	font-weight: normal;
	// Badge
	> .oo-ui-buttonElement-button {
		border-radius: none;
	}
}
NQ created this task.Sep 29 2015, 6:34 AM
NQ updated the task description. (Show Details)
NQ raised the priority of this task from to Needs Triage.
NQ added projects: Notifications, Modern.
NQ added subscribers: NQ, Legoktm, Quiddity.

Change 242631 had a related patch set uploaded (by Legoktm):
Also override Modern's :hover styles

https://gerrit.wikimedia.org/r/242631

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 30 2015, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 242631 merged by jenkins-bot:
Also override Modern's :hover styles

https://gerrit.wikimedia.org/r/242631

Catrope triaged this task as High priority.Sep 30 2015, 11:25 PM
Catrope set Security to None.
Catrope moved this task from Untriaged to QA Review on the Collaboration-Team-Archive-2015-2016 board.
Catrope assigned this task to Legoktm.

Change 242943 had a related patch set uploaded (by Catrope):
Fix lowercasing and bolding of text in popups in Modern skin

https://gerrit.wikimedia.org/r/242943

Change 242943 merged by jenkins-bot:
Fix lowercasing and bolding of text in popups in Modern skin

https://gerrit.wikimedia.org/r/242943

Etonkovidova added a subscriber: Etonkovidova.

All links are in lower case

Fixed - checked in betalabs.

Hover over is white type on a white background.

Still needs to be fixed.

Catrope reassigned this task from Legoktm to Mooeypoo.Oct 7 2015, 11:01 PM

Change 244371 had a related patch set uploaded (by Mooeypoo):
Override footer buttons hover color in Modern

https://gerrit.wikimedia.org/r/244371

Change 244371 merged by jenkins-bot:
Override footer buttons hover color in Modern

https://gerrit.wikimedia.org/r/244371

Checked in betalabs.

Catrope closed this task as Resolved.Oct 13 2015, 1:07 AM
Catrope added a subscriber: Catrope.